%define section	free

Name:		oldkxml
Version:	1.21
Release:	3jpp
Epoch:		0
Summary:	XML pull parser and writer suitable for all Java platforms
License:	Enhydra Public License
URL:		http://kxml.enhydra.org/
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	http://kxml.enhydra.org/software/downloads/current/kxml-source.zip
BuildRequires:	jpackage-utils >= 0:1.5
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The kXML project provides an XML pull parser and writer suitable for all
Java platforms including the Java 2 Micro Edition (CLDC/MIDP/CDC).
Because of its small footprint size, it is especially suited for Applets
or Java appications running on mobile devices like Palm Pilots or MIDP
enabled cell phones

kXML was originally developed at the AI Unit of the University of
Dortmund as a "side product" of the COMRIS project. In the COMRIS
project, the API was used in the Information Layer module(s) to parse
XMLified FIPA messages and to generate template based XHTML pages. The
template based XHTML generation is currently used in the MLnet teaching
server, too. kXML is also used in the Enhydra kXML-RPC and kSOAP
projects.

kXML key features are:

    * XML Namespace support
    * "Relaxed" mode for parsing HTML or other SGML formats
    * Small Memory footprint
    * A Pull-based parser for simplified parsing of nested / modularized XML
      structures
    * XML writing support including namespace handling
    * Optional kDOM
    * Optional WAP support (WBXML/WML)

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -c

%build
%javac `find . -name "*.java"`
mkdir -p api
%javadoc -d api `find . -name "*.java"`
cat > MANIFEST.MF << EOF
Manifest-Version: 1.0
EOF
%jar cvmf MANIFEST.MF %{name}.jar `find . -name "*.class"`

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -sf %{name}-%{version} %{name})

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/Fractal

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Mon Jan 26 2004 David Walluck <david@anti-microsoft.org> 0:1.21-3jpp
- remove fractal reference

* Sun Jan 25 2004 David Walluck <david@anti-microsoft.org> 0:1.21-2jpp
- fix license

* Sun Jan 25 2004 David Walluck <david@anti-microsoft.org> 0:1.21-1jpp
- release
